Subject: Re: bug#6991: Please keep bytecode out of *Backtrace* buffers
From: Lars Ingebrigtsen <[email-masked]>
To: John Wiegley <[email-masked]>
Cc: Juanma Barranquero <[email-masked]>, John Wiegley <[email-masked]>, Stefan Monnier <[email-masked]>, [email-masked], [email-masked], Drew Adams <[email-masked]>
Date: Sat, 27 Feb 2016 14:43:00 +1030
List-Id: <debbugs-submit.debbugs.gnu.org>

John Wiegley <[email-masked]> writes:

>>>>>> Drew Adams <[email-masked]> writes:
>
>> What's more, _users_ currently do the work by hand, so it must be possible
>> to at least partly (probably fully) get it done by program. If users can
>> manually (time-consuming and error-prone) redact the byte-code when pasting
>> a backtrace into a mail etc. then that can be done by program.
>
> Drew, can you show me what it will look like to have the elision performed?
> Sometimes the byte-code contains strings that give me a clue as to the
> problem, so I'm wondering what will disappear if this is fixed.

I thought the post I made yesterday showed the difference?  And it's
that the byte codes themselves get replaced by "..<bytecode>..", and not
the symbols (etc.) that are useful for figuring out backtraces.

But the patch was backwards -- it inhibited it outside of backtraces
instead of in backtraces.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no